¥10 老版本,升级到最新版后,状态标签不生效

发布于 2019-07-11

QQ图片20190711213522.png

QQ截图20190711214353.jpg

老版本,git升级到最新版后,这里的标签不生效,有人能提示一下怎么解决吗

查看更多

关注者
0
被浏览
98
Karson
Karson FastAdmin创始人 2019-07-12
FastAdmin!

@zhuxbo 检查下require-table.js中大概172行是否存在以下代码

// 绑定TAB事件
$('.panel-heading ul[data-field] li a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
    var field = $(this).closest("ul").data("field");
    var value = $(this).data("value");
    $("select[name='" + field + "'] option[value='" + value + "']", table.closest(".bootstrap-table").find(".commonsearch-table")).prop("selected", true);
    table.bootstrapTable('refresh', {pageNumber: 1});
    return false;
});

其次注意开启调试模式和清除缓存试下。

3 个回答
myIvan
myIvan 认证专家 2019-07-12
各种技术交流学习,欢迎来扰。

对比一下require-table.js require-table.min.js文件,就知道哪里不一致,更新漏了

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友

手机
浏览

扫码手机浏览